#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0x76dc341b, "param_ops_int" },
	{ 0x9e1a3113, "tcp_reno_undo_cwnd" },
	{ 0xb54f8006, "tcp_reno_ssthresh" },
	{ 0xaacaa4e0, "tcp_unregister_congestion_control" },
	{ 0xc6c80ddc, "tcp_register_congestion_control" },
	{ 0x2d0c3b13, "tcp_reno_cong_avoid" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3A14458737C37DD89C1E966");
